######################################################################
## Examples of the Documentation
######################################################################
source("AllgeoS.R")

.Random.seed _ c(0,6689,23469,2756)
s100 <- grf(100,cov.pars=c(1,.3))
plot.geodata(s100,window=T) ## output differs from manual (upper right fig.)
attach(s100,pos=1)

cloud1 <- variog(coords, data, option="cloud",max.dist=1)
cloud2 <- variog(coords, data,option="cloud",estimator.type="robust",
                 max.dist=1)
bin1 <- variog(coords,data,uvec=seq(0,1,l=11))
bin2 <- variog(coords,data,uvec=seq(0,1,l=11),estimator.type="robust")
par(mfrow=c(2,2))
plot(cloud1)
plot(cloud2)
plot(bin1)
plot(bin2)

bin1 <- variog(coords,data,uvec=seq(0,1,l=11),bin.cloud=T)
bin2 <- variog(coords,data,uvec=seq(0,1,l=11),estimator.type="robust",bin.cloud=T)

plot(bin1,bin.cloud=T)
plot(bin2,bin.cloud=T)

par(mfrow=c(1,1))
plot(bin1)
lines.variomodel(list(nugget=0,cov.pars=c(1,0.3),max.dist=1,cov.model=
                'exp'),lwd=3) 
smooth <- variog(coords,data,option='smooth',max.dist=1,n.points=100) 
lines(smooth,type='l',lty=2) 
legend(0.4,0.3,c('empirical','exponential model','smooth'),lty=c(1,1,2),lwd=c(1,3,1))

ml <- likfit(coords,data,ini=c(0.5,0.5),fixtau=T) 
reml <-likfit(coords,data,ini=c(0.5,0.5),fixtau=T,method='RML') 
ols <-olsfit(bin1,ini=c(0.5,0.5),fixtau=T) 
wls <-wlsfit(bin1,ini=c(0.5,0.5),fixtau=T) 
plot(bin1) 
lines(ml,max.dist=1) 
lines(reml,lwd=2,max.dist=1) 
lines(ols,lty=2,max.dist=1) 
lines(wls,lty=2,lwd=2,max.dist=1) 
legend(0.6,0.3,legend=c('ML','REML','OLS','WLS'), lty=c(1,1,2,2),
       lwd=c(1,2,1,2))


loci <- matrix(c(0.2,0.6,0.2,1.1,0.2,0.3,1.0,1.1),ncol=2) 
plot(coords,xlim=c(0,1.2),ylim=c(0,1.2)) 
text(loci,as.character(1:4)) 
segments(c(0,0,0,1),c(0,0,1,0),c(1,0,1,1),c(0,1,1,1),lty=2)

bsp <- krige.bayes(coords,data,loci,
range.limit=c(seq(0,1,l=41),seq(1.05,2,l=20),seq(2.1,3,l=10)))

bs <- krige.bayes(coords,data,loci,range.prior="F",range=0.3)
b <- krige.bayes(coords,data,loci,range.prior="F",range=wls$cov.pars[2],sill.prior=F,sill=wls$cov.pars[1]) 
bn <- krige.bayes(coords,data,loci,range.prior="F",range=wls$cov.pars[1],
      sill.prior=F,sill=wls$cov.pars[1],beta.prior='normal',beta=0,beta.var=.5) 
bd
<-krige.bayes(coords,data,loci,range.prior="F",range=wls$cov.pars[2],
sill.prior=F,sill=wls$cov.pars[1],beta.prior='deg',beta=0)


detach('s100') 
.Random.seed _ c(0,6689,23469,2756)
s121 <- grf(121,grid='reg',nsim=10,cov.pars=c(1,.3))

image.grfsim(s121) ## who did your command work?!
plot(s121)


source("AllgeoS.R")



